Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class AlarmGpioView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.AlarmGpioView

All Implemented Interfaces:
  ConfigView

public class AlarmGpioView
extends ConfigViewImpl

This class is a view panel that shows the GPIO Alarm settings for the ConnectMe device This view can be embedded in other panels as desired.

Field Summary
`(package private) javax.swing.JTextField[]` | `alarmCc_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmCcKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `alarmContent`
`(package private) int` | `alarmCount`
`(package private) javax.swing.JCheckBox[]` | `alarmEnabled_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmEnabledKvpField`
`(package private) javax.swing.JTextField[]` | `alarmMonitorMask_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmMonitorMaskKvpField`
`(package private) javax.swing.JTextField[]` | `alarmPattern_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmPatternKvpField`
`(package private) javax.swing.JComboBox[]` | `alarmPatternPort_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmPatternPortKvpField`
`(package private) javax.swing.JComboBox[]` | `alarmPriority_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmPriorityKvpField`
`(package private) javax.swing.JTextField[]` | `alarmReminderIntervalTime_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmReminderIntervalTimeKvpField`
`(package private) javax.swing.JCheckBox` | `alarmsEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `alarmsEnabledKvpField`
`(package private) com.digi.config.core.KvpField[]` | `alarmSendReminderEnabledKvpField`
`(package private) javax.swing.JCheckBox[]` | `alarmSendRemindersEnabled_UIC`
`(package private) javax.swing.JTextField` | `alarmSmtpFrom_UIC`
`(package private) com.digi.config.core.KvpField` | `alarmSmtpFromKvpField`
`(package private) javax.swing.JTextField` | `alarmSmtpServer_UIC`
`(package private) com.digi.config.core.KvpField` | `alarmSmtpServerKvpField`
`(package private) javax.swing.JTextField[]` | `alarmStateMask_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmStateMaskKvpField`
`(package private) javax.swing.JTextField[]` | `alarmSubject_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmSubjectKvpField`
`(package private) javax.swing.JTextField[]` | `alarmTo_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmToKvpField`
`(package private) BitMaskPanel[]` | `alarmTrigger_UIC`
`(package private) javax.swing.JTextField[]` | `alarmTriggerIntervalTime_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmTriggerIntervalTimeKvpField`
`(package private) javax.swing.JComboBox[]` | `alarmTriggerMode_UIC`
`(package private) com.digi.config.core.KvpField[]` | `alarmTriggerModeKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `content` Panel that holds the view content
`(package private) com.digi.config.ui.GridContentPanel` | `detailContent`
`(package private) com.digi.config.ui.ControlChangeAdapter` | `fieldListener` listens to changes in controls in the view
`(package private) com.digi.config.ui.GridContentPanel[]` | `gpioOptionsContent`
`(package private) com.digi.config.ui.GridContentPanel` | `listContent`
`(package private) com.digi.config.core.Device.DeviceModelInfo` | `modelInfo`
`(package private) com.digi.config.ui.GridContentPanel[]` | `patternOptionsContent`
`(package private) com.digi.config.core.DeviceChangeListener` | `settingChangeListener` listens to the device for changes to settings
`(package private) com.digi.config.ui.GridContentPanel` | `smtpContent`
`(package private) com.digi.config.core.KvpNode` | `viewSettingTree` A KvpNode that holds just the fields used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`AlarmGpioView()` Basic constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`protected java.lang.String` | `computeMonitorMask(int[] gpioTriggerBits)` Compute the gpio monitor mask from a given set of gpioTriggerBits
`protected java.lang.String` | `computeStateMask(int[] gpioTriggerBits)` Compute the gpio state mask from a given set of gpioTriggerBits
`protected int[]` | `computeTriggerBits(java.lang.String monitorMaskValue, java.lang.String stateMaskValue)` Computes the gpio trigger bits based on the vaues of the monitor mask and state mask.
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.
`void` | `validateChanges(java.util.Collection errorList)` This method instructs the view to validate any of the changes the user has made within the view.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields, setViewIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewSettingTree

    com.digi.config.core.KvpNode viewSettingTree

  A KvpNode that holds just the fields used in this view

### settingChangeListener

    com.digi.config.core.DeviceChangeListener settingChangeListener

  listens to the device for changes to settings

### fieldListener

    com.digi.config.ui.ControlChangeAdapter fieldListener

  listens to changes in controls in the view

### content

    com.digi.config.ui.GridContentPanel content

  Panel that holds the view content

### alarmContent

    com.digi.config.ui.GridContentPanel alarmContent

### smtpContent

    com.digi.config.ui.GridContentPanel smtpContent

### listContent

    com.digi.config.ui.GridContentPanel listContent

### detailContent

    com.digi.config.ui.GridContentPanel detailContent

### alarmCount

    int alarmCount

### modelInfo

    com.digi.config.core.Device.DeviceModelInfo modelInfo

### alarmsEnabledKvpField

    com.digi.config.core.KvpField alarmsEnabledKvpField

### alarmSmtpServerKvpField

    com.digi.config.core.KvpField alarmSmtpServerKvpField

### alarmSmtpFromKvpField

    com.digi.config.core.KvpField alarmSmtpFromKvpField

### alarmEnabledKvpField

    com.digi.config.core.KvpField[] alarmEnabledKvpField

### alarmToKvpField

    com.digi.config.core.KvpField[] alarmToKvpField

### alarmCcKvpField

    com.digi.config.core.KvpField[] alarmCcKvpField

### alarmSubjectKvpField

    com.digi.config.core.KvpField[] alarmSubjectKvpField

### alarmPriorityKvpField

    com.digi.config.core.KvpField[] alarmPriorityKvpField

### alarmTriggerModeKvpField

    com.digi.config.core.KvpField[] alarmTriggerModeKvpField

### alarmPatternKvpField

    com.digi.config.core.KvpField[] alarmPatternKvpField

### alarmPatternPortKvpField

    com.digi.config.core.KvpField[] alarmPatternPortKvpField

### alarmMonitorMaskKvpField

    com.digi.config.core.KvpField[] alarmMonitorMaskKvpField

### alarmStateMaskKvpField

    com.digi.config.core.KvpField[] alarmStateMaskKvpField

### alarmTriggerIntervalTimeKvpField

    com.digi.config.core.KvpField[] alarmTriggerIntervalTimeKvpField

### alarmSendReminderEnabledKvpField

    com.digi.config.core.KvpField[] alarmSendReminderEnabledKvpField

### alarmReminderIntervalTimeKvpField

    com.digi.config.core.KvpField[] alarmReminderIntervalTimeKvpField

### alarmsEnabled_UIC

    javax.swing.JCheckBox alarmsEnabled_UIC

### alarmSmtpServer_UIC

    javax.swing.JTextField alarmSmtpServer_UIC

### alarmSmtpFrom_UIC

    javax.swing.JTextField alarmSmtpFrom_UIC

### alarmEnabled_UIC

    javax.swing.JCheckBox[] alarmEnabled_UIC

### alarmTo_UIC

    javax.swing.JTextField[] alarmTo_UIC

### alarmCc_UIC

    javax.swing.JTextField[] alarmCc_UIC

### alarmSubject_UIC

    javax.swing.JTextField[] alarmSubject_UIC

### alarmPriority_UIC

    javax.swing.JComboBox[] alarmPriority_UIC

### alarmTriggerMode_UIC

    javax.swing.JComboBox[] alarmTriggerMode_UIC

### patternOptionsContent

    com.digi.config.ui.GridContentPanel[] patternOptionsContent

### gpioOptionsContent

    com.digi.config.ui.GridContentPanel[] gpioOptionsContent

### alarmPattern_UIC

    javax.swing.JTextField[] alarmPattern_UIC

### alarmPatternPort_UIC

    javax.swing.JComboBox[] alarmPatternPort_UIC

### alarmTrigger_UIC

    BitMaskPanel[] alarmTrigger_UIC

### alarmTriggerIntervalTime_UIC

    javax.swing.JTextField[] alarmTriggerIntervalTime_UIC

### alarmSendRemindersEnabled_UIC

    javax.swing.JCheckBox[] alarmSendRemindersEnabled_UIC

### alarmReminderIntervalTime_UIC

    javax.swing.JTextField[] alarmReminderIntervalTime_UIC

### alarmMonitorMask_UIC

    javax.swing.JTextField[] alarmMonitorMask_UIC

### alarmStateMask_UIC

    javax.swing.JTextField[] alarmStateMask_UIC

Constructor Detail

### AlarmGpioView

    public AlarmGpioView()
                  throws java.lang.Exception

  Basic constructor. Sets up the tree view and the edit panel.

Method Detail

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### computeTriggerBits

    protected int[] computeTriggerBits(java.lang.String monitorMaskValue,
                                       java.lang.String stateMaskValue)

  Computes the gpio trigger bits based on the vaues of the monitor mask and state mask. This method understands the bit layout of the gpio mask and maps it into a simple array of bits with values of 0, 1, or 2. The have the following meaning: 0 - don't care 1 - asserted 2 - deasserted

### computeMonitorMask

    protected java.lang.String computeMonitorMask(int[] gpioTriggerBits)

  Compute the gpio monitor mask from a given set of gpioTriggerBits

### computeStateMask

    protected java.lang.String computeStateMask(int[] gpioTriggerBits)

  Compute the gpio state mask from a given set of gpioTriggerBits

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### validateChanges

    public void validateChanges(java.util.Collection errorList)

  This method instructs the view to validate any of the changes the user has made within the view. Any errors are to be added to the provided errorList.

  Specified by:
    `validateChanges` in interface `ConfigView`
  Overrides:
    `validateChanges` in class `ConfigViewImpl`
  Parameters:
    `errorList` - is a collection of ViewValidationError objects

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.